import ResonatorAudioContext from './audio-context';
import AudioGraph from './audio-graph';
import BaseEffect from './effects/base-effect';
export default class EffectChain {
    private context;
    private graph;
    private effects;
    private inputNode;
    private outputNode;
    constructor(context: ResonatorAudioContext, graph: AudioGraph, input: AudioNode, output: AudioNode);
    applyEffect(effect: BaseEffect): void;
    removeEffect(effect: BaseEffect): void;
    private updateConnections;
}
